Hierarchy in TOC is not preserved when Wiki index is exported to HTML
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed Affected version: 2.4.2

Description

When exporting HTM from Wiki (from index page) the resulting document has following errors :

TOC items hierarchy is not supported, only one-level list is exported

images links are incomplete with "/redmine/xxx". Full path to images is expected to see them.

Related issues:

Related to Redmine - Feature #550: Function to export whole wiki Reopened

Related to Redmine - Patch #16446: Generate full URLs to images and linked pa... Closed

Associated revisions

Revision 18149 - 2019-05-09 17:17 - Go MAEDA

Hierarchy in TOC is not preserved when Wiki index is exported to HTML (#20910).

Patch by Mizuki ISHIKAWA.

History

#1 - 2015-10-06 12:15 - Serguei Tarassov

Related feature request #550

#2 - 2015-10-30 07:26 - Toshi MARUYAMA

- Related to Feature #550: Function to export whole wiki added

#3 - 2018-03-08 06:22 - Mizuki ISHIKAWA

- File 0001-Change-the-file-path-of-html-image-to-be-exported-to.patch added

- File 0002-Nest-the-exported-html-table-of-contents.patch added

I wrote a patch to solve these two problems.

(It may be better to divide the issues...)

images links are incomplete with "/redmine/xxx". Full path to images is expected to see them.

 　　→ attachment:0001-Change-the-file-path-of-html-image-to-be-exported-to.patch

TOC items hierarchy is not supported, only one-level list is exported

 　　→ 0002-Nest-the-exported-html-table-of-contents.patch

By applying the patch, I think the exported HTML will be easier to see.

#4 - 2018-03-08 07:59 - Go MAEDA

- Related to Patch #16446: Generate full URLs to images and linked pages in the Wiki HTML export added

#5 - 2018-03-08 08:07 - Go MAEDA

Mizuki ISHIKAWA wrote:

images links are incomplete with "/redmine/xxx". Full path to images is expected to see them.
https://www.redmine.org/issues/550
https://www.redmine.org/attachments/20238


 　　→ attachment:0001-Change-the-file-path-of-html-image-to-be-exported-to.patch

 The patch is identical to #16446, which I have just committed as r17229. Let's discuss the patch 0002 on this issue.

#6 - 2018-03-14 06:26 - Mizuki ISHIKAWA

- File after.png added

- File before.png added

Go MAEDA wrote:

The patch is identical to #16446, which I have just committed as r17229. Let's discuss the patch 0002 on this issue.

 I did not notice that the same patch already exists.

I am glad that the image link has been changed to a Full path.

Patch 0002 changes the heading of exported wiki HTML as follows. (Nest wiki titles)  

before after

before.png after.png 

#7 - 2018-03-28 09:33 - Go MAEDA

- File deleted (0001-Change-the-file-path-of-html-image-to-be-exported-to.patch)

#8 - 2018-03-28 09:34 - Go MAEDA

- Target version set to Candidate for next major release

#9 - 2019-05-06 15:59 - Go MAEDA

- File 20910-v2.patch added

- Target version changed from Candidate for next major release to 4.1.0

Updated the patch for the current trunk.

#10 - 2019-05-09 16:41 - Go MAEDA

- Subject changed from Wiki HTML export bugs to Hierarchy in TOC is not preserved when a Wiki page is exported to HTML

#11 - 2019-05-09 17:19 - Go MAEDA

- Subject changed from Hierarchy in TOC is not preserved when a Wiki page is exported to HTML to Hierarchy in TOC is not preserved when Wiki

index is exported to HTML

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch with slight changes. Thank you for the fix.

Files

0002-Nest-the-exported-html-table-of-contents.patch 4.49 KB 2018-03-08 Mizuki ISHIKAWA

after.png 40.6 KB 2018-03-14 Mizuki ISHIKAWA

before.png 40.1 KB 2018-03-14 Mizuki ISHIKAWA

20910-v2.patch 4.08 KB 2019-05-06 Go MAEDA
